<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderDetailUsr3EditViewBase from './ibizorder-detail-usr3-edit-view-base.vue';

import view_form from '@widgets/ibizorder-detail/main2-2-form/main2-2-form.vue';
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderDetailUsr3EditView extends IBIZOrderDetailUsr3EditViewBase {

}
</script>